io.milvus.bulkwriter

## Class RemoteBulkWriterParam.Builder

- java.lang.Object
- - io.milvus.bulkwriter.RemoteBulkWriterParam.Builder

Enclosing class:
  RemoteBulkWriterParam

    public static final class RemoteBulkWriterParam.Builder
    extends java.lang.Object

Builder for `RemoteBulkWriterParam` class.

### Method Summary

All Methods Instance Methods Concrete Methods
`RemoteBulkWriterParam` `build()` Verifies parameters and creates a new `RemoteBulkWriterParam` instance.
`RemoteBulkWriterParam.Builder` `withChunkSize(int chunkSize)`
`RemoteBulkWriterParam.Builder` `withCollectionSchema(@NonNull CollectionSchemaParam collectionSchema)` Sets the collection info.
`RemoteBulkWriterParam.Builder` `withConnectParam(StorageConnectParam connectParam)`
`RemoteBulkWriterParam.Builder` `withFileType(@NonNull BulkFileType fileType)`
`RemoteBulkWriterParam.Builder` `withRemotePath(@NonNull java.lang.String remotePath)` Sets the remotePath.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### withCollectionSchema

    public RemoteBulkWriterParam.Builder withCollectionSchema(@NonNull
                                                              @NonNull CollectionSchemaParam collectionSchema)

Sets the collection info.

Parameters:
  `collectionSchema` - collection info
Returns:
  `Builder`

#### withConnectParam

    public RemoteBulkWriterParam.Builder withConnectParam(@NotNull
                                                          StorageConnectParam connectParam)

#### withRemotePath

    public RemoteBulkWriterParam.Builder withRemotePath(@NonNull
                                                        @NonNull java.lang.String remotePath)

Sets the remotePath.

Parameters:
  `remotePath` - remote path
Returns:
  `Builder`

#### withChunkSize

    public RemoteBulkWriterParam.Builder withChunkSize(int chunkSize)

#### withFileType

    public RemoteBulkWriterParam.Builder withFileType(@NonNull
                                                      @NonNull BulkFileType fileType)

#### build

    public RemoteBulkWriterParam build()
                                throws ParamException

Verifies parameters and creates a new `RemoteBulkWriterParam` instance.

Returns:
  `RemoteBulkWriterParam`
Throws:
  `ParamException`